Description: Choices, choiceshoriz, and choicescustom ignore blank lines after \begin{question} and before 

\end{question}.
\AMCOpen, however, fails if there are any blank lines.

==============
THIS ONE FAILS
==============

<pre>
%% LyX 2.2.3 created this file.  For more info, see http://www.lyx.org/.
%% Do not edit unless you really know what you are doing.
\documentclass[english]{article}
\usepackage[T1]{fontenc}
\usepackage[latin9]{inputenc}

\makeatletter
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% User specified LaTeX commands.
\usepackage[insidebox,box,automarks]{automultiplechoice}
\AMCtext{draft}{}
\AMCtext{message}{}

\makeatother

\usepackage{babel}
\begin{document}
\AMCformBegin
\begin{question}{open}

You spend Tuesday on campus: you're at your job for three hours in
the morning and in the SUB for two hours in the afternoon. You have
to memorize fifty vocabulary words and read pages of economics. The
five hours on campus is the only time you have to do your schoolwork.

\AMCOpen{lines=5}{\wrongchoice[W]{w}\scoring{0}\wrongchoice[P]{p}\scoring{1}\correctchoice[C]{c}\scoring{
2}}
\end{question}
\AMCform
\end{document}
</pre>

==============
THIS ONE WORKS
==============

<pre>
%% LyX 2.2.3 created this file.  For more info, see http://www.lyx.org/.
%% Do not edit unless you really know what you are doing.
\documentclass[english]{article}
\usepackage[T1]{fontenc}
\usepackage[latin9]{inputenc}

\makeatletter
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% User specified LaTeX commands.
\usepackage[insidebox,box,automarks]{automultiplechoice}
\AMCtext{draft}{}
\AMCtext{message}{}

\makeatother

\usepackage{babel}
\begin{document}
\AMCformBegin
\begin{question}{open}You spend Tuesday on campus: you're at your job for three hours in
the morning and in the SUB for two hours in the afternoon. You have
to memorize fifty vocabulary words and read pages of economics. The
five hours on campus is the only time you have to do your 
schoolwork.\AMCOpen{lines=5}{\wrongchoice[W]{w}\scoring{0}\wrongchoice[P]{p}\scoring{1}\correctchoice[C
]{c}\scoring{2}}
\end{question}
\AMCform
\end{document}
</pre>

History
02/08/2018 08:57 am - Alexis Bienvenüe
- Status changed from New to Feedback

- File with-blank-line.png added

- File without-blank-line.png added

Do you have any LaTeX error?
If you use a blank line before @\AMCOpen@, I would say you ask LaTeX to begin a new paragraph before the answer zone, right?

!with-blank-line.png!

!without-blank-line.png!

02/08/2018 05:44 pm - David Dixon
Good question! The latex error is below. The blank lines are added by LyX. They have no effect with choices, choiceshoriz, or choicescustom. Forcing 
everything onto one line in LyX sort of works, but then it's very fragile - adding a macro to the text, like "You spend \dayOfWeek on campus" creates an 
error.

Here's the error if I run the sample bad code:
<pre>
! LaTeX Error: There's no line here to end.

See the LaTeX manual or LaTeX Companion for explanation.
Type  H <return>  for immediate help.
 ...                                              
                                                  
l.27 ...scoring{1}\correctchoice[C]{c}\scoring{2}}
                                                  
Your command was ignored.
Type  I <command> <return>  to replace it with another command,
or  <return>  to continue without it.
</pre>

02/08/2018 05:46 pm - Alexis Bienvenüe
> Here's the error if I run the sample bad code:
With which AMC version? The images I attached come from a single compilation of your sample files, with no errors.

02/09/2018 02:01 am - David Dixon
1.2.1 (svn:1403)

02/09/2018 02:33 pm - Alexis Bienvenüe
Maybe you can consider updating AMC.

02/10/2018 05:37 pm - David Dixon
This is the current version of AMC on the current LTS release of Ubuntu (16.04). I'll update from your PPA. Thanks!

02/15/2018 10:26 pm - David Dixon
I upgraded to 1.3.0 and now AMC doesn't give me StudentID (from \AMCCode{StudentID}) so I can't make associations. The \AMCCode{StudentIS} is 
in an \input file (which worked in 1.2.1).   

02/15/2018 11:20 pm - David Dixon
I tried inlining the \AMCCode and it still fails. Reverted to 1.2.1 and it works fine. Working on minimal example.

02/21/2018 06:49 pm - Alexis Bienvenüe
OK. Minimal example will be appreciated to explore this problem.

02/08/2021 04:25 pm - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
